# Code coverage report for application/user/queries/GetAllUsersQueryHandler.js

# All files / application/user/queries GetAllUsersQueryHandler.js

0% Statements 0/5
100% Branches 0/0
0% Functions 0/3
0% Lines 0/4

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26

     /**
     * Get All Users Query Handler
     * Handles retrieval of all users
     */
    class GetAllUsersQueryHandler {
      constructor(prisma) {
        this.prisma = prisma;
      }

      /**
       * Execute get all users query
       * @param {GetAllUsersQuery} query
       * @returns {Promise<Array>} List of users without passwords
       */
      async handle(query) {
        const users = await this.prisma.user.findMany({
          orderBy: { createdAt: 'desc' }
        });

        // Remove passwords from all users
        return users.map(({ password, ...user }) => user);
      }
    }

    module.exports = GetAllUsersQueryHandler;